#include <detect.h>

/*----------------------------------------------------------------------*
 *	Function: VOID Disp_par(detector) - display detector parameters *
 *----------------------------------------------------------------------*
 *	Arguments:	struct detect_info *detector - call information	*
 *----------------------------------------------------------------------*
 *	Returns:	Nothing (VOID)					*
 *----------------------------------------------------------------------*
 *	Fatal Errors:	This routine does not have fatal exits		*
 *----------------------------------------------------------------------*
 *	Called by user programs to display the currently set detector	*
 *	parameters.							*
 *----------------------------------------------------------------------*/

VOID Disp_par(detector)
struct detect_info *detector;
{
	register struct con_sto *continu;
	continu=detector->incontd;

	printf("Parameters of detector %s:\n",continu->ch_name);
	printf(" filhi=%ld; fillo=%ld; iwin=%ld; n_hits=%ld;\n",
		continu->filhi,continu->fillo,continu->iwin,continu->n_hits);
	printf(" xth1=%lo; xth2=%lo; xth3=%lo; xthx=%lo;\n",
		continu->xth1,continu->xth2,continu->xth3,continu->xthx);
	printf(" def_tc=%ld; wait_blk=%ld; val_avg=%ld\n\n",
		continu->def_tc,continu->wait_blk,
				continu->val_avg);
	return;
}
