/*---------------Main declarations for event detector package---------*/


#include <csstnd.h>
#ifdef UNIX
#include <signal.h>	
#endif
#include <csconfig.h>
#include <cscont.h>

#define absval(inval) (((inval)>=0)? (inval):-(inval))

#ifdef MAINDEF
   /* Initializations added to comply with objections of Whitesmith linker */

struct r_time etime = {0};	/* Time of beginning of record */
struct r_time htime = {0};	/* Backup of beginning time */

WORD sam_no = 0;	/*the number of the current seismic sample*/
WORD th_wt = 0;	/*weight, = 1 if >= th2, = 2 if >= th1 -- event*/
LONG fil_out = 0L;	/*output of the seismic data filter -- filter*/
WORD lastmin = 0;	/* fix the TIMESTAMP function */

WORD p_rval = 0;      /* fraction of period expressed in millsec--period*/
LONG p_lval = 0;      /* integer value of period--period*/
LONG t_rval = 0;      /* fraction of onset sec  expressed as decimal--time_f*/

struct con_sto *con_ptr;	/* Global continuity structure pointer */
#else

extern	struct r_time etime,htime;
extern	WORD sam_no,th_wt,lastmin,p_rval,p_lval,t_rval;
extern	LONG fil_out;
extern 	struct con_sto *con_ptr;

#endif

#define B_M1	(E_B - 1)	/*buffer index for routine Event*/
#define B_M2	(E_B - 2)
#define B_M3	(E_B - 3)
#define B_M4	(E_B - 4)	/* "	"	"	"	*/	

/*--------------Be friendly to lint-----------------------------*/

WORD	Ck_t_kont();
VOID 	Count_dn();
BOOL 	E_detect();
BOOL 	Event();
VOID 	Ibingo();
VOID 	Period();
LONG	Time_f();
VOID 	Onset();
VOID 	Onsetq();
BOOL 	P_one();
VOID 	P_two();
VOID 	Period();
VOID 	Wbuff();
LONG 	Xth();

UBYTE	*malloc();

#define mfree(x) free(x)
