#include <detect.h>

/*----------------------------------------------------------------------*
 *	Function: LONG *E_buffer(maxdata,maxlookback) - init data area	*
 *----------------------------------------------------------------------*
 *	Arguments:	WORD maxdata - Maximum number of expected	*
 *				data points for data array		*
 *			WORD maxlookback - Maximum lookback area	*
 *				expected (if any).  Leave 0, if		*
 *				no lookback is to be used.		*
 *----------------------------------------------------------------------*
 *	Returns:	Address of allocated buffer, or NULL if		*
 *			there was not enough memory or total size>=0	*
 *----------------------------------------------------------------------*
 *	Allocates memory for the user's data.  Provides memory for the 	*
 *	"lookback" that is required by the FIR filters.			*
 *----------------------------------------------------------------------*/

LONG *E_buffer(maxdata,maxlook)
WORD maxdata,maxlook;
{

	UWORD total;
	LONG *newptr;

	/* printf("E_buffer(%d,%d)\n",maxdata,maxlook); */

	total=maxdata+maxlook;
	total*=sizeof(LONG);		/* Calculate size */

	if (total==0) return(NULL);	/* No action */

	newptr=(LONG *) malloc(total);		/* Get storage */

	return(newptr);			/* Pass or fail */

}

