#include <detect.h>

/*----------------------------------------------------------------------*
 *	Function: BOOL E_filter(detector) - process lookback and filter	*
 *----------------------------------------------------------------------*
 *	Arguments:	struct detect_info detector - detector params	*
 *----------------------------------------------------------------------*
 *	Returns:	Returns TRUE if job completed sucessfully	*
 *----------------------------------------------------------------------*
 *	Gets the old lookback from the temporary buffer in detector,	*
 *	and places it in the data array.  E_filter() then squirrels	*
 *	the lookback away from the current data to be used next time.	*
 *	Routine then calls the filtering subroutine specified in	*
 *	E_create() and placed as a pointer to a function in detector.	*
 *----------------------------------------------------------------------*/

BOOL E_filter(detector)
struct detect_info *detector;
{

	WORD i;

/*---------------Retrieve the old lookback---------------------------*/

	if (detector->lbksize>0) {

		for (i=0; i<detector->lbksize; i++) detector->indatar[i]=
			detector->lbkarr[i];

	}

/*----------------Put new lookback away------------------------------*/

	if (detector->lbksize>0) {

		for (i=0; i<detector->lbksize; i++) detector->lbkarr[i]=
			detector->indatar[i+detector->datapts];

	}

/*----------------Do the required filtering---------------------------*/

	(*(detector->filterc))
		(detector->datapts,detector->lbksize,detector->indatar);

	return(TRUE);

}
