#include <detect.h>

/*----------------------------------------------------------------------*
 *	Function: BOOL E_remove(detector) - Remove an event detector	*
 *----------------------------------------------------------------------*
 *	Arguments:	struct detect_info *detector - calling info	*
 *----------------------------------------------------------------------*
 *	Returns:	Returns TRUE if job completed sucessfully	*
 *----------------------------------------------------------------------*
 *	This routine is called when one of the detectors is no longer	*
 *	needed or is to be changed by calling E_create.  It frees the 	*
 *	memory the detector was using and ensures that the detector	*
 *	won't be called again unless it is created anew.		*
 *----------------------------------------------------------------------*/

BOOL E_remove(detector)
struct detect_info *detector;
{

	/* free input continuity area */
	if (detector->incontd!=NULL) mfree((BYTE *) detector->incontd);
	/* free lookback area */
	if (detector->lbkarr!=NULL) mfree((BYTE *) detector->lbkarr);

	detector->samrte=0;
	detector->drectyp=9999;		/* Illegal record type */
	detector->datapts=0;
	detector->lbksize=0;
	detector->detname=NULL;

	return(TRUE);

}

